%define pkgname %(echo %name | tr - _)
Name:          translate-toolkit
Version:       3.15.1
Release:       1mamba
Summary:       Tools for localization
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://toolkit.translatehouse.org/
Source:        https://github.com/translate/translate.git/%{version}/translate-%{version}.tar.bz2
License:       GPL
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(cwcwidth)
BuildRequires: python3.11dist(lxml)
## AUTOBUILDREQ-END
BuildRequires: python3 >= 3.11

%description
Tools for localization: Pootle: web based translation management system. Virtaal: Computer Aided Translation (CAT) tool, Translate Toolkit: QA, format conversion and support (PO, Java .properties, OpenOffice, Mozilla, XLIFF, TMX, TBX, CSV, Qt .ts).

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n translate-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files
%defattr(-,root,root)
%{_bindir}/*
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/translate
%{python_sitelib}/translate/*
%doc COPYING

%changelog
* Sun Mar 16 2025 Automatic Build System <autodist@openmamba.org> 3.15.1-1mamba
- automatic version update by autodist

* Mon Mar 10 2025 Automatic Build System <autodist@openmamba.org> 3.15.0-1mamba
- automatic version update by autodist

* Mon Feb 17 2025 Automatic Build System <autodist@openmamba.org> 3.14.8-1mamba
- automatic version update by autodist

* Sun Feb 16 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 3.14.2-2mamba
- rebuilt as noarch

* Sun Dec 15 2024 Automatic Build System <autodist@openmamba.org> 3.14.2-1mamba
- automatic version update by autodist

* Tue Oct 15 2024 Automatic Build System <autodist@openmamba.org> 3.14.1-1mamba
- automatic version update by autodist

* Mon Oct 14 2024 Automatic Build System <autodist@openmamba.org> 3.14.0-1mamba
- automatic version update by autodist

* Sat Oct 05 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.13.5-1mamba
- update to 3.13.5

* Tue Sep 24 2024 Automatic Build System <autodist@openmamba.org> 3.13.4-1mamba
- automatic version update by autodist

* Wed Aug 07 2024 Automatic Build System <autodist@openmamba.org> 3.13.3-1mamba
- automatic version update by autodist

* Tue Jul 16 2024 Automatic Build System <autodist@openmamba.org> 3.13.2-1mamba
- automatic version update by autodist

* Thu Jun 20 2024 Automatic Build System <autodist@openmamba.org> 3.13.1-1mamba
- automatic version update by autodist

* Tue Apr 23 2024 Automatic Build System <autodist@openmamba.org> 3.13.0-1mamba
- automatic version update by autodist

* Thu Feb 01 2024 Automatic Build System <autodist@openmamba.org> 3.12.2-1mamba
- automatic version update by autodist

* Thu Dec 21 2023 Automatic Build System <autodist@mambasoft.it> 3.12.1-1mamba
- automatic version update by autodist

* Thu Nov 16 2023 Automatic Build System <autodist@mambasoft.it> 3.11.1-1mamba
- automatic version update by autodist

* Thu Nov 09 2023 Automatic Build System <autodist@mambasoft.it> 3.11.0-1mamba
- automatic version update by autodist

* Thu Oct 05 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.10.1-2mamba
- rebuilt with python3 == 3.11

* Wed Sep 06 2023 Automatic Build System <autodist@mambasoft.it> 3.10.1-1mamba
- automatic version update by autodist

* Thu Jul 27 2023 Automatic Build System <autodist@mambasoft.it> 3.10.0-1mamba
- automatic version update by autodist

* Sat Jul 01 2023 Automatic Build System <autodist@mambasoft.it> 3.9.2-1mamba
- automatic version update by autodist

* Thu Jun 15 2023 Automatic Build System <autodist@mambasoft.it> 3.9.1-1mamba
- automatic version update by autodist

* Thu May 18 2023 Automatic Build System <autodist@mambasoft.it> 3.9.0-1mamba
- automatic version update by autodist

* Wed Mar 08 2023 Automatic Build System <autodist@mambasoft.it> 3.8.6-1mamba
- automatic version update by autodist

* Sat Mar 04 2023 Automatic Build System <autodist@mambasoft.it> 3.8.5-1mamba
- automatic version update by autodist

* Wed Feb 08 2023 Automatic Build System <autodist@mambasoft.it> 3.8.4-1mamba
- automatic version update by autodist

* Thu Jan 19 2023 Automatic Build System <autodist@mambasoft.it> 3.8.3-1mamba
- automatic version update by autodist

* Wed Jan 18 2023 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Sat Jan 14 2023 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Fri Dec 09 2022 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Wed Nov 09 2022 Automatic Build System <autodist@mambasoft.it> 3.7.4-1mamba
- automatic version update by autodist

* Thu Sep 08 2022 Automatic Build System <autodist@mambasoft.it> 3.7.3-1mamba
- automatic version update by autodist

* Tue Jul 19 2022 Automatic Build System <autodist@mambasoft.it> 3.7.2-1mamba
- automatic version update by autodist

* Sat Jul 02 2022 Automatic Build System <autodist@mambasoft.it> 3.7.1-1mamba
- automatic version update by autodist

* Wed Jun 15 2022 Automatic Build System <autodist@mambasoft.it> 3.7.0-1mamba
- automatic version update by autodist

* Tue May 10 2022 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Sat Apr 23 2022 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Sat Feb 26 2022 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Sat Jan 15 2022 Automatic Build System <autodist@mambasoft.it> 3.5.3-1mamba
- automatic version update by autodist

* Thu Jan 06 2022 Automatic Build System <autodist@mambasoft.it> 3.5.2-1mamba
- automatic version update by autodist

* Tue Nov 09 2021 Automatic Build System <autodist@mambasoft.it> 3.5.1-1mamba
- automatic version update by autodist

* Wed Oct 27 2021 Automatic Build System <autodist@mambasoft.it> 3.5.0-1mamba
- automatic version update by autodist

* Sat Sep 11 2021 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Sat Aug 21 2021 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Sun Jun 13 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.6-1mamba
- update to 3.3.6

* Mon Nov 09 2020 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Sun Sep 27 2020 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Wed Jul 01 2020 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Sun Jan 19 2020 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Wed Jul 03 2019 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Mon Feb 04 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.1-1mamba
- update to 2.3.1

* Fri Mar 31 2017 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Sun Feb 12 2017 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Wed Sep 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.13.0-1mamba
- update to 1.13.0

* Mon Dec 22 2014 Automatic Build System <autodist@mambasoft.it> 1.12.0-1mamba
- automatic version update by autodist

* Thu Oct 09 2014 Automatic Build System <autodist@mambasoft.it> 1.11.0-1mamba
- automatic version update by autodist

* Tue Oct 29 2013 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Wed Oct 12 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.0-1mamba
- update to 1.9.0

* Wed Oct 12 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.1-1mamba
- package created by autospec
